rio_get_swpinfo_tports
Prev | Enumeration and Discovery | Next

## Name

rio_get_swpinfo_tports — Gets total number of ports on the switch

## Synopsis

`u8 rio_get_swpinfo_tports (` | struct rio_mport * | mport,
| u16 | destid,
| u8 | hopcount`)`;

## Arguments

`mport`

  Master port to send transaction

`destid`

  Destination ID associated with the switch

`hopcount`

  Number of hops to the device

## Description

Returns total numbers of ports implemented by the switch device.

Prev | Up | Next
rio_get_swpinfo_inport | Home | rio_net_add_mport